﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Trójmian_kwadratowy
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            lblResult.Text = "";
        }

        private void btnPolicz_Click(object sender, EventArgs e)
        {
            try
            {
                double a = Convert.ToDouble(txtA.Text);
                double b = Convert.ToDouble(txtB.Text);
                double c = Convert.ToDouble(txtC.Text);

                double delta = b * b - (4 * a * c);
                if (delta < 0) lblResult.Text = "Brak rozwiązań" + Environment.NewLine + "Delta = " + delta.ToString();
                else if (delta == 0) lblResult.Text = "Delta = " + delta.ToString() + Environment.NewLine + "x0 = " + (-b / (2 * a));
                else lblResult.Text = "Delta = " + delta.ToString() + Environment.NewLine + "x1 = " + ((-b - Math.Sqrt(delta)) / (2 * a)).ToString() + Environment.NewLine + "x2 = " + ((-b + Math.Sqrt(delta)) / (2 * a)).ToString();
            }
            catch
            {
                lblResult.Text = "A, B i C muszą być liczbami";
            }
        }        
    }
}
